import random

# Słówka w języku obcym i ich tłumaczenia
word_list = [
    {"foreign": "apple", "translation": "jabłko"},
    {"foreign": "book", "translation": "książka"},
    {"foreign": "cat", "translation": "kot"},
    {"foreign": "dog", "translation": "pies"},
    {"foreign": "elephant", "translation": "słoń"},
]

def display_words(words):
    print("Słówka do nauki:")
    for word in words:
        print(f"{word['foreign']} - {word['translation']}")
    print("\n")

def memory_test(words):
    print("Ćwiczenie sprawdzające pamięć:")
    correct_answers = 0
    random.shuffle(words)
    
    for word in words:
        answer = input(f"Podaj tłumaczenie dla słowa '{word['foreign']}': ").strip().lower()
        if answer == word['translation']:
            print("Poprawnie!")
            correct_answers += 1
        else:
            print(f"Błędnie! Poprawna odpowiedź to '{word['translation']}'.")

    print(f"\nTwoje wyniki: {correct_answers} z {len(words)} poprawnych odpowiedzi.\n")

def main():
    while True:
        print("Program do nauki słówek")
        print("1. Wyświetl słówka")
        print("2. Przejdź do ćwiczenia")
        print("3. Wyjdź z programu")
        
        choice = input("Wybierz opcję: ").strip()
        
        if choice == '1':
            display_words(word_list)
        elif choice == '2':
            memory_test(word_list)
        elif choice == '3':
            break
        else:
            print("Nieprawidłowy wybór, spróbuj ponownie.")

if __name__ == "__main__":
    main()